Vítejte v nápovědě programu Easy Language

EasyLanguage – Help file

Welcome to the help file for EasyLanguage.

EasyLanguage is a computer program for teaching foreign language in an easy and enjoyable way aimed mainly at learning new vocabulary. The method of teaching is intended for students of all age categories from complete beginners to intermediate learners.

If you can’t find here, what you are looking for, please visit us at our web site: www.1-easysoft.com.

You may also contact us on our e-mail address: support@1-easysoft.com.


Základní ovládání programu

Basic Controls of the Program

The easy control of the application is provided by the upper toolbar.

Previous

Return to the previous page.

Next

Go to the next page.

Back

Go to the start screen of the application (selection of teaching tutorial).

Search

Two-way vocabulary dictionary.

Topic types

Selection of the topic types for showing and editing of the user defined topics.

Users

The User account manager of the application enables you to add or remove a user, set current user and view the achieved results of each user.

Language

Teaching language selection. Easy Language can contain more teaching languages, this option allows you to select a different lenguage.

Help

View the help file.

Exit

Exit from the application.


Uživatelé

Users

Easy Language is programmed to enable more users to work with it, each user can set their own level of difficulty and time limits and determine by that type and level of difficulty for teaching and test. For each user the application saves the best results achieved by the user in particular tests.

To add or remove a user, set a current user or view results of a particular user select the “Users” button in the upper toolbar.

Adding a user

To add a new user to the list of users enter the user’s name and press the “+” button.

Removing a user

Select the user you want to remove from the list and press the “-” button.

Selecting a current user

In the list of users select the user you want to set as the current user and press the “OK” button.

View user’s results

In the list of users select the users whose results you want to view and press the “Results” button.


Výuková témata

Teaching Topics

EasyLanguage contains over a thousand words and phrases that are divided into groups in the learning topics. Selection of the teaching topics is made by clicking the left mouse button on the card that represents the particular topic.

The teaching topics are according to their general theme divided into three groups: vocabulary, grammar and user defined topics. You can switch which groups are displayed with the “Topic types” button in the upper toolbar.

Editing user defined topics

To add, remove or edit items in the user defined topics use the “User defined topics” button.


Vítejte v nápovědě programu Easy Language

User defined topics

The EasyLanguage software contains editor of teaching topics that enables creating and editing of the User defined topics and by that extend the teaching possibilities.

To run the user topics editor use the “Topics type” button in the upper toolbar and in the newly displayed window select the “User defined topics” button.

New

Create new user defined topics (maximum is 100 user defined topics).

Delete

Remove the selected user defined topic.

Edit

Edit names and particular teaching items of the selected user defined topics.

After pushing the OK button, the new added user topic cards will be put at the bottom of the active topics list.


Nastavení výukového tématu

Settings of the Teaching Topic

Type of items

Most of the teaching topics are divided into two parts – the first is Picture Dictionary and the second is Words and Phrases.

Picture Dictionary

As the name already indicates, this part contains particular vocabulary. Each word is always represented by a picture which makes it easier to remember and learn the word in a foreign language. This part of the topic is intended for complete beginners as well as intermediate students who can increase their vocabulary quickly.

Words and Phrases

This part contains words and short phrases that either supports or, in the case of grammar topics, completely replaces the Picture Dictionary part. Particular expressions are not represented by pictures and this part is more difficult to manage and should be taken after a perfect understanding of the picture part.

Settings of work with items

Selection of ways how to work with the chosen type of teaching items.

  • List of Items will enable the user to go through the content of the topic, find out the pronunciation of particular items and practice his own pronunciation using a microphone.
  • Teaching – using the intelligent system of teaching the user will gradually manage to learn the content of the topic being learnt.
  • Test will verify your achieved knowledge and compare the results with other users.
  • Matching and writing determines Type of teaching and test.
  • It is possible to set your own content of the topic for teaching and test. Select the “User defined content” item and for the settings use the “Contents” button. (When using your own topic content the test results will not be saved!)


Seznam

List of items

List of items enables the user to take a look at the topic content, listen to the pronunciation of particular teaching items and practice his own pronunciation using a microphone.

Listening to pronunciation

You can play the pronunciation of a word by clicking the right mouse button on the card representing the teaching item.

Practicing of pronunciation

  1. Select the teaching item which pronunciation you want to practice. The selection is provided by clicking any mouse button on the item card.
  2. Click on the Record button button and say the word or phrase on the microphone.
  3. The length of recording is limited up to 8 seconds, if you want to end the recording earlier click on the Stop button button.
  4. You can listen to your pronunciation by clicking the right mouse button on the item card.
  5. By clicking the left and the right mouse button you can compare your recorded pronunciation with the pronunciation provided by a native speaker.
  6. Click on the Delete button button to delete your pronunciation either for one selected item or for all items in the topic.


Výuka

Teaching

Easy Language has an intelligent system of learning that allows the user to complete the selected learning topic step by step while it keeps information about the problems experienced whilst learning and determines frequency and repetition rate. After finishing a topic, the user has the chance to see the success rate percentage for particular items and t he number of repetitions needed for final completion.

The teaching process is influenced by settings and the type of teaching. You can find out more information about the teaching process in chapters Type of teaching and test, Settings of difficulty and Time limit settings.


Test

Using the test function you can verify your achieved knowledge and compare it with other users. After finishing the test your results will be evaluated, and according to the success rate, placed on the topics result sheet. You will see how many and what mistakes you have made, how long the test took, your success rate percentage and whether you have improved or not.

The teaching process is influenced by settings and the type of teaching. You can find out more information about the teaching process in chapters Type of teaching and test, Settings of difficulty and Time limit settings.


Typy výuky a testu

Type of Teaching and Test

Matching

Your task is to select the correct translation of the displayed expression from several presented options. The selection is made by clicking the left mouse button on the card of the teaching item corresponding to the translation of the displayed expression.

Writing

The task in the writing section is the exact opposite from that in Matching. EasyLanguage chooses a card of teaching item and your task is to write its translation. The writing section is eased by the automatic filling in of characters. At any difficulty level you will always know how many letters and the exact location of each word in the sentence. You never have to insert any special characters of the teaching language because they will always be filled in automatically.

The teaching process will also be influenced by Settings of difficulty and Time limit settings.


Nastavení obtížnosti výuky a testu

Settings of Difficulty

The outcome of difficulty settings will be different according to the Type of test or teaching.

Difficulty levels for teaching and test of type: Searching

  • Easy – The whole expression will be displayed and its pronunciation will be played
  • Medium – The pronunciation of the searched expression will be played but only every second letter will be displayed
  • Hard – Only the pronunciation of the searched expression will be played

Difficulty levels for teaching and test of type: Writing

  • Easy – Every second letter of translation will be automatically filled in
  • Medium – Every fourth letter of translation will be automatically filled in
  • Hard – No letter of translation will be filled in

The teaching and testing process will also be influenced by Time limit settings.


Časové limity

Time Limit Settings

Using the time limits you can also further modify the Settings of difficulty for test or teaching.

Time Limit Settings

Time limit for test

- Determines the maximum length for a test. After the set period, the test is terminated and all teaching items not filled in are evaluated as mistakes.

Time limit for an item

- Determines the time limit for one teaching item. If the user cannot finish the teaching item in the set time period, the item will be considered a mistake.

No time limit

- There is no time limit for the teaching and for the test.

User defined time limits

- Selecting this option will enable the user to enter any length for the current time limit. If you do not select this option, Easy Language will determine the time limit length automatically according to the type of test of teaching and to the number of items in the topic.


Slovník

Dictionary

Easy Language contains a two-way dictionary that enables you to easily and quickly find all available translations of the expression, listen to its pronunciation and see which topic it belongs to.

To display the dictionary use the “Search” button in the upper toolbar.

Search settings

Insert the requested expression in the editing window and select which language you want to translate the expression from.

To look up all translations available use the „Search“ button.